---
title: Eva General Services
author:
date: 2022-11-23
...

# Eva General Services {#eva-general-services}

## plugins.eva.general.computationStateType (`DATA`) {#computationstatetype}

State of the computation of Eva Analysis.


> [`computationStateType`](#computationstatetype)  `::=` `"not_computed"` |
  `"computing"` | `"computed"`
  

## plugins.eva.general.computationState (`STATE`) {#computationstate}

The current computation state of the analysis.


## plugins.eva.general.signalComputationState (`SIGNAL`) {#signalcomputationstate}

Signal for state [`computationState`](#computationstate) 


## plugins.eva.general.getComputationState (`GET`) {#getcomputationstate}

Getter for state [`computationState`](#computationstate) 


> _input_ `::=` _null_
  

> _output_ `::=` [`computationStateType`](general.md#computationstatetype) 
  

## plugins.eva.general.getCallers (`GET`) {#getcallers}

Get the list of call site of a function


> _input_ `::=` `#fct`
  

> _output_ `::=` `[` `#fct` , `#stmt` `]` `[]`
  

## plugins.eva.general.functions (`ARRAY`) {#functions}

AST Functions


## plugins.eva.general.signalFunctions (`SIGNAL`) {#signalfunctions}

Signal for array [`functions`](#functions) 


## plugins.eva.general.functionsData (`DATA`) {#functionsdata}

Data for array rows [`functions`](#functions) 


> [`functionsData`](#functionsdata)  `::= {` _fields…_ `}`
  

| Field | Format | Description |
|:------|:------:|:------------|
| `"key"` | `#functions` | Entry identifier. |
| `"eva_analyzed"` (opt.) | _boolean_ | Has the function been analyzed by Eva |


## plugins.eva.general.fetchFunctions (`GET`) {#fetchfunctions}

Data fetcher for array [`functions`](#functions) 


> _input_ `::=` _number_
  

> _output_ `::=` `{` _output…_ `}`
  

| Output | Format | Description |
|:-------|:------:|:------------|
| `"pending"` | _number_ | remaining entries to be fetched |
| `"updated"` | [`functionsData`](general.md#functionsdata)  `[]` | updated entries |
| `"removed"` | `#functions` `[]` | removed entries |
| `"reload"` | _boolean_ | array fully reloaded |


## plugins.eva.general.reloadFunctions (`GET`) {#reloadfunctions}

Force full reload for array [`functions`](#functions) 


> _input_ `::=` _null_
  

> _output_ `::=` _null_
  

## plugins.eva.general.deadCode (`DATA`) {#deadcode}

Unreachable and non terminating statements.


> [`deadCode`](#deadcode)  `::= {` _fields…_ `}`
  

| Field | Format | Description |
|:------|:------:|:------------|
| `"unreachable"` | [`marker`](../../kernel/ast.md#marker)  `[]` | List of unreachable statements. |
| `"nonTerminating"` | [`marker`](../../kernel/ast.md#marker)  `[]` | List of reachable but non terminating statements. |


## plugins.eva.general.getDeadCode (`GET`) {#getdeadcode}

Get the lists of unreachable and of non terminating statements in a function


> _input_ `::=` `#fct`
  

> _output_ `::=` [`deadCode`](general.md#deadcode) 
  

## plugins.eva.general.taintStatus (`DATA`) {#taintstatus}

Taint status of logical properties


> [`taintStatus`](#taintstatus)  `::=` _tags…_
  

| Tags | Value | Description |
|:-----|:------|:------------|
|  | `"not_computed"` | **Not computed:** the Eva taint domain has not been enabled, or the Eva analysis has not been run |
| Error | `"error"` | **Error:** the memory zone on which this property depends could not be computed |
| — | `"not_applicable"` | **Not applicable:** no taint for this kind of property |
| Tainted (direct) | `"direct_taint"` | **Direct taint:** this property is related to a memory location that can be affected by an attacker |
| Tainted (indirect) | `"indirect_taint"` | **Indirect taint:** this property is related to a memory location whose assignment depends on path conditions that can be affected by an attacker |
| Untainted | `"not_tainted"` | **Untainted property:** this property is safe |


## plugins.eva.general.taintStatusTags (`GET`) {#taintstatustags}

Registered tags for the above type.


> _input_ `::=` _null_
  

> _output_ `::=` [`tag`](../../kernel/data.md#tag)  `[]`
  

## plugins.eva.general.properties (`ARRAY`) {#properties}

Status of Registered Properties


## plugins.eva.general.signalProperties (`SIGNAL`) {#signalproperties}

Signal for array [`properties`](#properties) 


## plugins.eva.general.propertiesData (`DATA`) {#propertiesdata}

Data for array rows [`properties`](#properties) 


> [`propertiesData`](#propertiesdata)  `::= {` _fields…_ `}`
  

| Field | Format | Description |
|:------|:------:|:------------|
| `"key"` | `#property` | Entry identifier. |
| `"priority"` | _boolean_ | Is the property invalid in some context of the analysis? |
| `"taint"` | [`taintStatus`](general.md#taintstatus)  | Is the property tainted according to the Eva taint domain? |


## plugins.eva.general.fetchProperties (`GET`) {#fetchproperties}

Data fetcher for array [`properties`](#properties) 


> _input_ `::=` _number_
  

> _output_ `::=` `{` _output…_ `}`
  

| Output | Format | Description |
|:-------|:------:|:------------|
| `"pending"` | _number_ | remaining entries to be fetched |
| `"updated"` | [`propertiesData`](general.md#propertiesdata)  `[]` | updated entries |
| `"removed"` | `#property` `[]` | removed entries |
| `"reload"` | _boolean_ | array fully reloaded |


## plugins.eva.general.reloadProperties (`GET`) {#reloadproperties}

Force full reload for array [`properties`](#properties) 


> _input_ `::=` _null_
  

> _output_ `::=` _null_
  

## plugins.eva.general.alarmCategory (`DATA`) {#alarmcategory}

The alarms are counted after being grouped by these categories


> [`alarmCategory`](#alarmcategory)  `::=` _tags…_
  

| Tags | Value | Description |
|:-----|:------|:------------|
| division_by_zero | `"division_by_zero"` | Integer division by zero |
| mem_access | `"mem_access"` | Invalid pointer dereferencing |
| index_bound | `"index_bound"` | Array access out of bounds |
| shift | `"shift"` | Invalid shift |
| overflow | `"overflow"` | Integer overflow or downcast |
| initialization | `"initialization"` | Uninitialized memory read |
| dangling_pointer | `"dangling_pointer"` | Read of a dangling pointer |
| is_nan_or_infinite | `"is_nan_or_infinite"` | Non-finite (nan or infinite) floating-point value |
| float_to_int | `"float_to_int"` | Overflow in float to int conversion |
| other | `"other"` | Any other alarm |


## plugins.eva.general.alarmCategoryTags (`GET`) {#alarmcategorytags}

Registered tags for the above type.


> _input_ `::=` _null_
  

> _output_ `::=` [`tag`](../../kernel/data.md#tag)  `[]`
  

## plugins.eva.general.statusesEntry (`DATA`) {#statusesentry}

Statuses count.


> [`statusesEntry`](#statusesentry)  `::=` `{` `"valid"` `:` _number_ ,
  `"unknown"` `:` _number_ , `"invalid"` `:` _number_ `}`
  

## plugins.eva.general.alarmEntry (`DATA`) {#alarmentry}

Alarm count for each alarm category.


> [`alarmEntry`](#alarmentry)  `::=` `{` `"category"` `:`
  [`alarmCategory`](general.md#alarmcategory)  , `"count"` `:` _number_ `}`
  

## plugins.eva.general.programStatsType (`DATA`) {#programstatstype}

Statistics about an Eva analysis.


> [`programStatsType`](#programstatstype)  `::=` `{` `"progFunCoverage"` `:`
  `{` `"reachable"` `:` _number_ , `"dead"` `:` _number_ `}` ,
  `"progStmtCoverage"` `:` `{` `"reachable"` `:` _number_ , `"dead"` `:`
  _number_ `}` , `"progAlarms"` `:` [`alarmEntry`](general.md#alarmentry) 
  `[]` , `"evaEvents"` `:` `{` `"errors"` `:` _number_ , `"warnings"` `:`
  _number_ `}` , `"kernelEvents"` `:` `{` `"errors"` `:` _number_ ,
  `"warnings"` `:` _number_ `}` , `"alarmsStatuses"` `:`
  [`statusesEntry`](general.md#statusesentry)  , `"assertionsStatuses"` `:`
  [`statusesEntry`](general.md#statusesentry)  , `"precondsStatuses"` `:`
  [`statusesEntry`](general.md#statusesentry)  `}`
  

## plugins.eva.general.programStats (`STATE`) {#programstats}

Statistics about the last Eva analysis for the whole program


## plugins.eva.general.signalProgramStats (`SIGNAL`) {#signalprogramstats}

Signal for state [`programStats`](#programstats) 


## plugins.eva.general.getProgramStats (`GET`) {#getprogramstats}

Getter for state [`programStats`](#programstats) 


> _input_ `::=` _null_
  

> _output_ `::=` [`programStatsType`](general.md#programstatstype) 
  

## plugins.eva.general.functionStats (`ARRAY`) {#functionstats}

Statistics about the last Eva analysis for each function


## plugins.eva.general.signalFunctionStats (`SIGNAL`) {#signalfunctionstats}

Signal for array [`functionStats`](#functionstats) 


## plugins.eva.general.functionStatsData (`DATA`) {#functionstatsdata}

Data for array rows [`functionStats`](#functionstats) 


> [`functionStatsData`](#functionstatsdata)  `::= {` _fields…_ `}`
  

| Field | Format | Description |
|:------|:------:|:------------|
| `"key"` | `#fundec` | Entry identifier. |
| `"coverage"` | `{` `"reachable"` `:` _number_ , `"dead"` `:` _number_ `}` | Coverage of the Eva analysis |
| `"alarmCount"` | [`alarmEntry`](general.md#alarmentry)  `[]` | Alarms raised by the Eva analysis by category |
| `"alarmStatuses"` | [`statusesEntry`](general.md#statusesentry)  | Alarms statuses emitted by the Eva analysis |


## plugins.eva.general.fetchFunctionStats (`GET`) {#fetchfunctionstats}

Data fetcher for array [`functionStats`](#functionstats) 


> _input_ `::=` _number_
  

> _output_ `::=` `{` _output…_ `}`
  

| Output | Format | Description |
|:-------|:------:|:------------|
| `"pending"` | _number_ | remaining entries to be fetched |
| `"updated"` | [`functionStatsData`](general.md#functionstatsdata)  `[]` | updated entries |
| `"removed"` | `#fundec` `[]` | removed entries |
| `"reload"` | _boolean_ | array fully reloaded |


## plugins.eva.general.reloadFunctionStats (`GET`) {#reloadfunctionstats}

Force full reload for array [`functionStats`](#functionstats) 


> _input_ `::=` _null_
  

> _output_ `::=` _null_
  

## plugins.eva.general.getStates (`GET`) {#getstates}

Get the domain states about the given marker


> _input_ `::=` `[` [`marker`](../../kernel/ast.md#marker)  , _boolean_ `]`
  

> _output_ `::=` `[` _string_ , _string_ , _string_ `]` `[]`
  