---
title: Eva Values
author:
date: 2022-11-23
...

# Eva Values {#eva-values}

## plugins.eva.values.changed (`SIGNAL`) {#changed}

Emitted when EVA results has changed


## plugins.eva.values.callstack (`DATA`) {#callstack}

> [`callstack`](#callstack)  `::=` `#0eva-callstack-id`
  

## plugins.eva.values.getCallstacks (`GET`) {#getcallstacks}

Callstacks for markers


> _input_ `::=` [`marker`](../../kernel/ast.md#marker)  `[]`
  

> _output_ `::=` [`callstack`](values.md#callstack)  `[]`
  

## plugins.eva.values.getCallstackInfo (`GET`) {#getcallstackinfo}

Callstack Description


> _input_ `::=` [`callstack`](values.md#callstack) 
  

> _output_ `::=` `{` `"callee"` `:` `#fct` , `"caller"` `:?` `#fct` ,
  `"stmt"` `:?` `#stmt` , `"rank"` `:?` _number_ `}` `[]`
  

## plugins.eva.values.getStmtInfo (`GET`) {#getstmtinfo}

Stmt Information


> _input_ `::=` `#stmt`
  

> _output_ `::=` `{` _output…_ `}`
  

| Output | Format | Description |
|:-------|:------:|:------------|
| `"rank"` | _number_ | Global stmt order |
| `"fct"` | `#fct` | Englobing function |


## plugins.eva.values.getProbeInfo (`GET`) {#getprobeinfo}

Probe informations


> _input_ `::=` [`marker`](../../kernel/ast.md#marker) 
  

> _output_ `::=` `{` _output…_ `}`
  

| Output | Format | Description |
|:-------|:------:|:------------|
| `"condition"` | _boolean_ | Conditional statement |
| `"effects"` | _boolean_ | Effectfull statement |
| `"rank"` | _number_ | Probe statement rank |
| `"stmt"` (opt.) | `#stmt` | Probe statement |
| `"code"` (opt.) | _string_ | Probe source code |
| `"evaluable"` | _boolean_ | Can the probe be evaluated? |


## plugins.eva.values.evaluation (`DATA`) {#evaluation}

Evaluation of an expression or lvalue


> [`evaluation`](#evaluation)  `::= {` _fields…_ `}`
  

| Field | Format | Description |
|:------|:------:|:------------|
| `"value"` | _string_ | Textual representation of the value |
| `"alarms"` | `[` `"True"` | `"False"` | `"Unknown"` , _string_ `]` `[]` | Alarms raised by the evaluation |
| `"pointedVars"` | `[` _string_ , [`marker`](../../kernel/ast.md#marker)  `]` `[]` | List of variables pointed by the value |


## plugins.eva.values.getValues (`GET`) {#getvalues}

Abstract values for the given marker


> _input_ `::=` `{` _input…_ `}`
  

> _output_ `::=` `{` _output…_ `}`
  

| Input | Format | Description |
|:------|:------:|:------------|
| `"callstack"` (opt.) | [`callstack`](values.md#callstack)  | Callstack to collect (defaults to none) |
| `"target"` | [`marker`](../../kernel/ast.md#marker)  | Works with all markers containing an expression |


| Output | Format | Description |
|:-------|:------:|:------------|
| `"vElse"` (opt.) | [`evaluation`](values.md#evaluation)  | Domain values for false condition |
| `"vThen"` (opt.) | [`evaluation`](values.md#evaluation)  | Domain values for true condition |
| `"vAfter"` (opt.) | [`evaluation`](values.md#evaluation)  | Domain values after execution |
| `"vBefore"` (opt.) | [`evaluation`](values.md#evaluation)  | Domain values before execution |
