---
title: Presentation
author:
date: 2022-11-23
...

# Presentation

Version 26.0


## Protocols

* [Architecture](server.md) 
* [ZeroMQ Protocol](server_zmq.md) 
* [Unix Socket Protocol](server_socket.md) 
* [Batch Protocol](server_batch.md) 


## Kernel

* [Informations](kernel/data.md) 
* [Ast Services](kernel/ast.md) 
* [Property Services](kernel/properties.md) 
* [Project Management](kernel/project.md) 
* [Kernel Services](kernel/services.md) 


## Plugin Dive

* [Dive Services](plugins/dive/.md) 


## Plugin Eva

* [Eva Values](plugins/eva/values.md) 
* [Eva General Services](plugins/eva/general.md) 


## Plugin Pivot

* [Pivot Table Services](plugins/pivot/general.md) 


## Plugin Studia

* [Studia](plugins/studia/studia.md) 


## Index

### Index of `kernel.ast`

* [kernel.ast.changed (`SIGNAL`)](kernel/ast.md#changed) 
* [kernel.ast.compute (`EXEC`)](kernel/ast.md#compute) 
* [kernel.ast.fetchFunctions (`GET`)](kernel/ast.md#fetchfunctions) 
* [kernel.ast.fetchMarkerInfo (`GET`)](kernel/ast.md#fetchmarkerinfo) 
* [kernel.ast.functions (`ARRAY`)](kernel/ast.md#functions) 
* [kernel.ast.functionsData (`DATA`)](kernel/ast.md#functionsdata) 
* [kernel.ast.getFiles (`GET`)](kernel/ast.md#getfiles) 
* [kernel.ast.getFunctions (`GET`)](kernel/ast.md#getfunctions) 
* [kernel.ast.getInformation (`GET`)](kernel/ast.md#getinformation) 
* [kernel.ast.getInformationUpdate (`SIGNAL`)](kernel/ast.md#getinformationupdate)
  
* [kernel.ast.getMainFunction (`GET`)](kernel/ast.md#getmainfunction) 
* [kernel.ast.getMarkerAt (`GET`)](kernel/ast.md#getmarkerat) 
* [kernel.ast.location (`DATA`)](kernel/ast.md#location) 
* [kernel.ast.marker (`DATA`)](kernel/ast.md#marker) 
* [kernel.ast.markerFromTerm (`GET`)](kernel/ast.md#markerfromterm) 
* [kernel.ast.markerFromTermInput (`DATA`)](kernel/ast.md#markerfromterminput)
  
* [kernel.ast.markerInfo (`ARRAY`)](kernel/ast.md#markerinfo) 
* [kernel.ast.markerInfoData (`DATA`)](kernel/ast.md#markerinfodata) 
* [kernel.ast.markerKind (`DATA`)](kernel/ast.md#markerkind) 
* [kernel.ast.markerKindTags (`GET`)](kernel/ast.md#markerkindtags) 
* [kernel.ast.markerVar (`DATA`)](kernel/ast.md#markervar) 
* [kernel.ast.markerVarTags (`GET`)](kernel/ast.md#markervartags) 
* [kernel.ast.printFunction (`GET`)](kernel/ast.md#printfunction) 
* [kernel.ast.reloadFunctions (`GET`)](kernel/ast.md#reloadfunctions) 
* [kernel.ast.reloadMarkerInfo (`GET`)](kernel/ast.md#reloadmarkerinfo) 
* [kernel.ast.setFiles (`SET`)](kernel/ast.md#setfiles) 
* [kernel.ast.signalFunctions (`SIGNAL`)](kernel/ast.md#signalfunctions) 
* [kernel.ast.signalMarkerInfo (`SIGNAL`)](kernel/ast.md#signalmarkerinfo) 
* [kernel.ast.source (`DATA`)](kernel/ast.md#source) 


### Index of `kernel.data`

* [kernel.data.markdown (`DATA`)](kernel/data.md#markdown) 
* [kernel.data.tag (`DATA`)](kernel/data.md#tag) 
* [kernel.data.text (`DATA`)](kernel/data.md#text) 


### Index of `kernel.project`

* [kernel.project.create (`SET`)](kernel/project.md#create) 
* [kernel.project.execOn (`EXEC`)](kernel/project.md#execon) 
* [kernel.project.getCurrent (`GET`)](kernel/project.md#getcurrent) 
* [kernel.project.getList (`GET`)](kernel/project.md#getlist) 
* [kernel.project.getOn (`GET`)](kernel/project.md#geton) 
* [kernel.project.projectInfo (`DATA`)](kernel/project.md#projectinfo) 
* [kernel.project.projectRequest (`DATA`)](kernel/project.md#projectrequest) 
* [kernel.project.setCurrent (`SET`)](kernel/project.md#setcurrent) 
* [kernel.project.setOn (`SET`)](kernel/project.md#seton) 


### Index of `kernel.properties`

* [kernel.properties.alarms (`DATA`)](kernel/properties.md#alarms) 
* [kernel.properties.alarmsTags (`GET`)](kernel/properties.md#alarmstags) 
* [kernel.properties.fetchStatus (`GET`)](kernel/properties.md#fetchstatus) 
* [kernel.properties.propKind (`DATA`)](kernel/properties.md#propkind) 
* [kernel.properties.propKindTags (`GET`)](kernel/properties.md#propkindtags) 
* [kernel.properties.propStatus (`DATA`)](kernel/properties.md#propstatus) 
* [kernel.properties.propStatusTags (`GET`)](kernel/properties.md#propstatustags)
  
* [kernel.properties.reloadStatus (`GET`)](kernel/properties.md#reloadstatus) 
* [kernel.properties.signalStatus (`SIGNAL`)](kernel/properties.md#signalstatus)
  
* [kernel.properties.status (`ARRAY`)](kernel/properties.md#status) 
* [kernel.properties.statusData (`DATA`)](kernel/properties.md#statusdata) 


### Index of `kernel.services`

* [kernel.services.fetchMessage (`GET`)](kernel/services.md#fetchmessage) 
* [kernel.services.getConfig (`GET`)](kernel/services.md#getconfig) 
* [kernel.services.getLogs (`GET`)](kernel/services.md#getlogs) 
* [kernel.services.load (`SET`)](kernel/services.md#load) 
* [kernel.services.log (`DATA`)](kernel/services.md#log) 
* [kernel.services.logkind (`DATA`)](kernel/services.md#logkind) 
* [kernel.services.logkindTags (`GET`)](kernel/services.md#logkindtags) 
* [kernel.services.message (`ARRAY`)](kernel/services.md#message) 
* [kernel.services.messageData (`DATA`)](kernel/services.md#messagedata) 
* [kernel.services.reloadMessage (`GET`)](kernel/services.md#reloadmessage) 
* [kernel.services.save (`SET`)](kernel/services.md#save) 
* [kernel.services.setLogs (`SET`)](kernel/services.md#setlogs) 
* [kernel.services.signalMessage (`SIGNAL`)](kernel/services.md#signalmessage)
  


### Index of `plugins.dive`

* [plugins.dive.add (`EXEC`)](plugins/dive/.md#add) 
* [plugins.dive.callsite (`DATA`)](plugins/dive/.md#callsite) 
* [plugins.dive.callstack (`DATA`)](plugins/dive/.md#callstack) 
* [plugins.dive.clear (`EXEC`)](plugins/dive/.md#clear) 
* [plugins.dive.dependency (`DATA`)](plugins/dive/.md#dependency) 
* [plugins.dive.diffData (`DATA`)](plugins/dive/.md#diffdata) 
* [plugins.dive.explorationWindow (`DATA`)](plugins/dive/.md#explorationwindow)
  
* [plugins.dive.explore (`EXEC`)](plugins/dive/.md#explore) 
* [plugins.dive.graph (`GET`)](plugins/dive/.md#graph) 
* [plugins.dive.graphData (`DATA`)](plugins/dive/.md#graphdata) 
* [plugins.dive.hide (`EXEC`)](plugins/dive/.md#hide) 
* [plugins.dive.node (`DATA`)](plugins/dive/.md#node) 
* [plugins.dive.nodeId (`DATA`)](plugins/dive/.md#nodeid) 
* [plugins.dive.nodeLocality (`DATA`)](plugins/dive/.md#nodelocality) 
* [plugins.dive.range (`DATA`)](plugins/dive/.md#range) 
* [plugins.dive.show (`EXEC`)](plugins/dive/.md#show) 
* [plugins.dive.window (`SET`)](plugins/dive/.md#window) 


### Index of `plugins.eva.general`

* [plugins.eva.general.alarmCategory (`DATA`)](plugins/eva/general.md#alarmcategory)
  
* [plugins.eva.general.alarmCategoryTags (`GET`)](plugins/eva/general.md#alarmcategorytags)
  
* [plugins.eva.general.alarmEntry (`DATA`)](plugins/eva/general.md#alarmentry)
  
* [plugins.eva.general.computationState (`STATE`)](plugins/eva/general.md#computationstate)
  
* [plugins.eva.general.computationStateType (`DATA`)](plugins/eva/general.md#computationstatetype)
  
* [plugins.eva.general.deadCode (`DATA`)](plugins/eva/general.md#deadcode) 
* [plugins.eva.general.fetchFunctionStats (`GET`)](plugins/eva/general.md#fetchfunctionstats)
  
* [plugins.eva.general.fetchFunctions (`GET`)](plugins/eva/general.md#fetchfunctions)
  
* [plugins.eva.general.fetchProperties (`GET`)](plugins/eva/general.md#fetchproperties)
  
* [plugins.eva.general.functionStats (`ARRAY`)](plugins/eva/general.md#functionstats)
  
* [plugins.eva.general.functionStatsData (`DATA`)](plugins/eva/general.md#functionstatsdata)
  
* [plugins.eva.general.functions (`ARRAY`)](plugins/eva/general.md#functions) 
* [plugins.eva.general.functionsData (`DATA`)](plugins/eva/general.md#functionsdata)
  
* [plugins.eva.general.getCallers (`GET`)](plugins/eva/general.md#getcallers) 
* [plugins.eva.general.getComputationState (`GET`)](plugins/eva/general.md#getcomputationstate)
  
* [plugins.eva.general.getDeadCode (`GET`)](plugins/eva/general.md#getdeadcode)
  
* [plugins.eva.general.getProgramStats (`GET`)](plugins/eva/general.md#getprogramstats)
  
* [plugins.eva.general.getStates (`GET`)](plugins/eva/general.md#getstates) 
* [plugins.eva.general.programStats (`STATE`)](plugins/eva/general.md#programstats)
  
* [plugins.eva.general.programStatsType (`DATA`)](plugins/eva/general.md#programstatstype)
  
* [plugins.eva.general.properties (`ARRAY`)](plugins/eva/general.md#properties)
  
* [plugins.eva.general.propertiesData (`DATA`)](plugins/eva/general.md#propertiesdata)
  
* [plugins.eva.general.reloadFunctionStats (`GET`)](plugins/eva/general.md#reloadfunctionstats)
  
* [plugins.eva.general.reloadFunctions (`GET`)](plugins/eva/general.md#reloadfunctions)
  
* [plugins.eva.general.reloadProperties (`GET`)](plugins/eva/general.md#reloadproperties)
  
* [plugins.eva.general.signalComputationState (`SIGNAL`)](plugins/eva/general.md#signalcomputationstate)
  
* [plugins.eva.general.signalFunctionStats (`SIGNAL`)](plugins/eva/general.md#signalfunctionstats)
  
* [plugins.eva.general.signalFunctions (`SIGNAL`)](plugins/eva/general.md#signalfunctions)
  
* [plugins.eva.general.signalProgramStats (`SIGNAL`)](plugins/eva/general.md#signalprogramstats)
  
* [plugins.eva.general.signalProperties (`SIGNAL`)](plugins/eva/general.md#signalproperties)
  
* [plugins.eva.general.statusesEntry (`DATA`)](plugins/eva/general.md#statusesentry)
  
* [plugins.eva.general.taintStatus (`DATA`)](plugins/eva/general.md#taintstatus)
  
* [plugins.eva.general.taintStatusTags (`GET`)](plugins/eva/general.md#taintstatustags)
  


### Index of `plugins.eva.values`

* [plugins.eva.values.callstack (`DATA`)](plugins/eva/values.md#callstack) 
* [plugins.eva.values.changed (`SIGNAL`)](plugins/eva/values.md#changed) 
* [plugins.eva.values.evaluation (`DATA`)](plugins/eva/values.md#evaluation) 
* [plugins.eva.values.getCallstackInfo (`GET`)](plugins/eva/values.md#getcallstackinfo)
  
* [plugins.eva.values.getCallstacks (`GET`)](plugins/eva/values.md#getcallstacks)
  
* [plugins.eva.values.getProbeInfo (`GET`)](plugins/eva/values.md#getprobeinfo)
  
* [plugins.eva.values.getStmtInfo (`GET`)](plugins/eva/values.md#getstmtinfo) 
* [plugins.eva.values.getValues (`GET`)](plugins/eva/values.md#getvalues) 


### Index of `plugins.pivot.general`

* [plugins.pivot.general.compute (`EXEC`)](plugins/pivot/general.md#compute) 
* [plugins.pivot.general.getPivotState (`GET`)](plugins/pivot/general.md#getpivotstate)
  
* [plugins.pivot.general.pivotState (`STATE`)](plugins/pivot/general.md#pivotstate)
  
* [plugins.pivot.general.signalPivotState (`SIGNAL`)](plugins/pivot/general.md#signalpivotstate)
  
* [plugins.pivot.general.tableStateType (`DATA`)](plugins/pivot/general.md#tablestatetype)
  


### Index of `plugins.studia.studia`

* [plugins.studia.studia.effects (`DATA`)](plugins/studia/studia.md#effects) 
* [plugins.studia.studia.getReadsLval (`GET`)](plugins/studia/studia.md#getreadslval)
  
* [plugins.studia.studia.getWritesLval (`GET`)](plugins/studia/studia.md#getwriteslval)
  
